CREATE  PROCEDURE [dbo].[sp_getSezioniReport_ByIdReport]
@pIdReport as int,
@pUtente as varchar(13) = null
AS
BEGIN
    if(@pUtente is not null)
		SELECT     ReportSezionePers.IdSezione, Report.Nome, Report.Descrizione
		FROM         Report INNER JOIN
							  ReportSezionePers ON Report.IdReport = ReportSezionePers.IdReport
		WHERE     (Report.IdReport = @pIdReport) AND (Report.Utente = @pUtente)
    else
		SELECT     ReportSezionePers.IdSezione, Report.Nome, Report.Descrizione
		FROM         Report INNER JOIN
							  ReportSezionePers ON Report.IdReport = ReportSezionePers.IdReport
		WHERE     (Report.IdReport = @pIdReport)
END